import { FileBase, FileBaseOptions, IResolver } from './file';
import { Project } from './project';
/**
 * (experimental) Options for `XmlFile`.
 *
 * @experimental
 */
export interface XmlFileOptions extends FileBaseOptions {
    /**
     * (experimental) The object that represents the XML contents (see https://www.npmjs.com/package/xml) for details.
     *
     * @default {}
     * @see https://www.npmjs.com/package/xml
     * @experimental
     */
    readonly obj?: any;
}
/**
 * (experimental) Represents an XML file.
 *
 * @experimental
 */
export declare class XmlFile extends FileBase {
    /**
     * (experimental) The object represents the XML file.
     *
     * @see https://www.npmjs.com/package/xml
     * @experimental
     */
    readonly obj: any;
    /**
     * @experimental
     */
    constructor(project: Project, filePath: string, options?: XmlFileOptions);
    /**
     * (experimental) Implemented by derived classes and returns the contents of the file to emit.
     *
     * @experimental
     */
    protected synthesizeContent(resolver: IResolver): string | undefined;
}
